*{
    touch-action: manipulation !important;
    user-select: none !important;
}
.game_box{
    position: fixed;
    top: 0px;
    left: 0px;
    right: 0px;
    bottom: 0px;
    width: auto;
    height: auto;
}
.game{
    position: relative;
    height: 100%;
    background-color: #cccccc;
}
.game_header, 
.game_content{
    position: absolute;
    height: auto;
    top: 0px;
    bottom: 0px;
    background-repeat: repeat;
    background-position: left top;
    background-color: #b3b3b3;
}
.game_header{
    left: 0px;
    width: 25%;
    padding: 10px 3px;
    background-image: url(../img/panelBg.png);
    color: #963200;
    font-weight: 900;
}
@media all and (min-width: 720px) and (min-height: 500px){
    .game_header{
        font-size: 30px;
    }
}
.game_content{
    right: 0px;
    width: 75%;
    padding: 10px;
    background-image: url(../img/contentBackGround.png);
}

.game_footer{
    bottom: 10px;
    height: auto;
}

/* for game header */

.btn_add_flag,
.game_boom_count img
{
    width: 30px;
}
.btn_add_flag.active{
    border: 2px solid #00cccc;
}
.game_status_image{
    height: 33.25px;
    display: block;
    margin: 0px auto;
}
.game-introduction{
    margin-top: 7.5px;
}
.game-introduction-logo{
    width: 130px;
    display: inline-block;
}
.game_header.smallHeight .game-introduction-logo{
    width: 70px;
}
.game_header.smallHeight .game-introduction-slogend-nice{
    display: none;
}
.game-introduction-slogend, 
.game-introduction-slogend *
{
    font-size: 12px;
}
@media all and (min-height:480px){
    .game-introduction{
        margin-top: 50px;
    }
}
@media all and (min-height:576px){
    .game-introduction{
        margin-top: 100px;
    }
}
@media all and (min-width:480px){
    .game-introduction-slogend, 
    .game-introduction-slogend *{
        font-size: 14px;
    }
}

/* End for game header */

.game_layer_running{
    position: absolute;
    top: 0px;
    height: 100%;
    left: 0px;
    width: 100%;
}
.game_cell_box{
    position: relative;
    height: 100%;
}
.game_cell{
    position: absolute;
    display: inline-block;
    background-repeat: no-repeat;
    background-position: center;
    background-size: cover;
    background-image: url(../img/cell/cell.png);
}
.game_cell.flag{
    border: none;
    background-repeat: no-repeat;
    background-position: center;
    background-size: cover;
    background-image: url(../img/flag.png);
}
.game_cell.mousedown, 
.game_cell.opened
{
    background-repeat: no-repeat;
    background-position: center;
    background-size: cover;
}

.game_cell.boom.opened{
    background-color: transparent;
    background-image: url(../img/boom.png);
}
.game_cell.boom.opened.current{
    background-color: #ff0000;
}
.game_cell.opened:not(.boom)[data-boom-arround="0"]{
    background-image: url(../img/cell/type0.png);
}
.game_cell.opened:not(.boom)[data-boom-arround="1"]{
    background-image: url(../img/cell/type1.png);
}
.game_cell.opened:not(.boom)[data-boom-arround="2"]{
    background-image: url(../img/cell/type2.png);
}
.game_cell.opened:not(.boom)[data-boom-arround="3"]{
    background-image: url(../img/cell/type3.png);
}
.game_cell.opened:not(.boom)[data-boom-arround="4"]{
    background-image: url(../img/cell/type4.png);
}
.game_cell.opened:not(.boom)[data-boom-arround="5"]{
    background-image: url(../img/cell/type5.png);
}
.game_cell.opened:not(.boom)[data-boom-arround="6"]{
    background-image: url(../img/cell/type6.png);
}
.game_cell.opened:not(.boom)[data-boom-arround="7"]{
    background-image: url(../img/cell/type7.png);
}
.game_cell.opened:not(.boom)[data-boom-arround="8"]{
    background-image: url(../img/cell/type8.png);
}

/* For game win */
.game_win_box{
    position: fixed;
    display: none;
    top: 0px;
    bottom: 0px;
    left: 0px;
    right: 0px;
    width: auto;
    height: auto;
    align-items: center;
    justify-content: center;
    background-color: rgba(0, 0, 0, 0.35);
    padding: 15px;
}
.game_win_box.active{
    display: flex;
}
.game_win{
    padding: 7.5px 15px;
    background-color: #ffffff;
    border-radius: 10px;
    border: 2px solid #cccccc;
    background-image: url(../img/win_bg.jpg);
    background-position: top center;
    background-repeat: no-repeat;
    background-size: cover;
    text-shadow: 1px 1px 2px #ffffff;
}
@media all and (min-width: 720px) and (min-height: 500px){
    .game_win{
        padding: 30px 50px;
    }
}
.game_win_header{
    font-size: 40px;
    font-weight: 900;
    color: #009688;
    
}
.game_win_info_item{
    color: #009688;
    font-size: 20px;
}